
Ryzom - Bug # 1334

Status: Closed Priority: Normal
Author: sfb Category: Client: General
Created: 07/21/2011 Assignee: sfb
Updated: 05/11/2012 Due date:
Subject: Eliminate hardcoded base URL for WebIG
Description

The WebIG code in the client is presently using a hard coded base URL when it is generating and fetching content. This should be
moved to a new client config file option. For the sake of backwards compatibility the new config file attribute should not be required
and should default to "http://atys.ryzom.com/start/".

interface_v3/action_handler_ui.cpp:                             pGH->setURL("http://atys.ryzom.com/start/index.php?app="+webapp);
interface_v3/group_html_webig.cpp:                      string url =
"http://atys.ryzom.com/start/index.php?app=notif&rnd="+randomString();
interface_v3/group_html_webig.cpp://    Home = "http://atys.ryzom.com/start/index.php";
net_manager.cpp:                                contentStr =
ucstring("http://atys.ryzom.com/start/")+web_app+ucstring(".php?")+contentStr.substr(i+1);

As a side note it also potentially unfairly makes the assumption that the webapp is always coded in PHP. For the time being this is not
a large problem but something to keep in mind if the Ryzom API is ported to other development languages.

History
#1 - 12/20/2011 01:24 am - ulukyn
- File webig.patch added

Patch with WebIgMainDomain and WebIgTrustedDomains in config files

#2 - 12/20/2011 06:54 pm - sfb
- Status changed from New to Assigned
- Assignee set to sfb

Ulukyn,

Thanks for the patch. It seems to work fine but I did have one question. The variable_ WebIgMainDomain_ is read in using READ_STRING_DEV. Is
there any reason why we couldn't do read it in using READ_STRING_FV instead? Is there some security justification?

#3 - 12/21/2011 05:27 pm - sfb
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ffe4addf53d8.
#4 - 02/27/2012 12:58 pm - kaetemi

@sfb: Players botting or generally modifying client trough lua code through the ig browser, by making some lua hook into the game loop.

#5 - 05/11/2012 04:28 pm - sfb
- Status changed from Resolved to Closed
- Target version changed from Version 0.10.0 to Version 0.9.0

Files
webig.patch 9.2 kB 12/20/2011 ulukyn
